<template>
  <div class="head">
    <div class="logo"><img src="../assets/menu-logo-white.png"></div>
    <h1 @dblclick="handleReload">信息化智能化生产管理平台</h1>
    <span>{{ clock }}</span>
  </div>
</template>

<script>

export default {
  name: "Head",
  data() {
    return {
      timer: null,
      clock: '',
    }
  },
  methods: {
    // 设定时钟
    initClock: function () {
      this.timer = setInterval(() => {
        this.clock = this.$dayjs().format("YYYY-MM-DD HH:mm:ss")
      }, 1000);
    },
    handleReload: function () {
      location.reload()
    }
  },
  mounted() {
    this.clock = this.$dayjs().format("YYYY-MM-DD HH:mm:ss")
    this.initClock();
  }
}
</script>

<style lang="less" scoped>
.head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;

  .logo {
    width: 250px;

    img {
      display: block;
      height: 45px;
    }
  }

  h1 {
    width: 500px;
    font-size: 36px;
    font-weight: 500;
    text-align: center;

  }

  span {
    width: 250px;
    text-align: right;
    font-size: 24px;

  }
}
</style>